Bug 148265 - [PATCH] x11/workrave missing dependancy
Summary: [PATCH] x11/workrave missing dependancy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David Thiel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-30 19:50 UTC by Aldis Berjoza
Modified: 2010-07-05 20:40 UTC (History)
0 users

See Also:


Attachments
file.diff (459 bytes, patch)
2010-06-30 19:50 UTC, Aldis Berjoza
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aldis Berjoza 2010-06-30 19:50:11 UTC
Recently I build all packages for my i386 on amd64 server (using 32bit jail).

I then created packages with bpkg -B and installed soft from packages to my desktop

I noticed, that workrave didn't start. I checked logs and saw
/libexec/ld-elf.so.1: Shared object "libgdome.so.8" not found, required by "workrave"

I checked Makefile and there was no 
LIB_DEPENDS+=   gdome.8:${PORTSDIR}/textproc/gdome2
line

To verify I also checked package with
pkg_info -f workrave-1.9.1_3.tbz | grep gdome
which didn't return anything. So dependency was missing :)

Fix: Apply patch to Makefile

Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-07-01 00:20:24 UTC
Responsible Changed
From-To: freebsd-bugs->lx

Make this a ports PR and assign.
Comment 2 dfilter service freebsd_committer 2010-07-05 20:37:43 UTC
lx          2010-07-05 19:37:29 UTC

  FreeBSD ports repository

  Modified files:
    x11/workrave         Makefile 
  Log:
  Add missing dependency on gdome2.
  
  PR:             ports/148265
  Submitted by:   Aldis Berjoza <aldis@bsdroot.lv>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.40      +2 -1      ports/x11/workrave/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 David Thiel freebsd_committer 2010-07-05 20:37:49 UTC
State Changed
From-To: open->closed

Committed, thanks!